<?php /*
    This file is part of Aiden's Theme, by Sean T. Evans, for WordPress.
    
    Aiden's Theme is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>

<!-- begin sidebar -->
<div id="menu">

<ul>
	<?php wp_list_pages('title_li=<h2>' . __('Pages') . '</h2>&sort_column=menu_order'); ?>
</ul>

<ul>
	<?php get_links_list(); ?>
</ul>

<!-- 
Theme Switcher Code for Compatibility with RBoren's Theme Switcher Plugin
http://boren.nu/archives/2004/10/13/theme-switcher-plugin/
-->

<?php if (function_exists('wp_theme_switcher')) { ?>
	<ul>
		<li><h2><?php _e('Themes'); ?></h2>
			<?php wp_theme_switcher(); ?>
		</li>
	</ul>
<?php } ?>
<!-- End Theme Switcher -->



<ul>
	<li><h2>Categories</h2>
		<ul>
			<?php wp_list_cats(); ?>
		</ul>
	</li>
</ul>
			
<ul>
	<li><h2>Search</h2>
		<ul>
			<li><form id="searchform" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
			<input type="text" name="s" id="s" size="15" /><br />
			<input type="submit" value="<?php _e('Search'); ?>" />
			</form></li>
		</ul>
	</li>
</ul>

<ul>	
	<li><?php _e('<h2>Archives</h2>'); ?>
	<ul>
		<?php wp_get_archives('type=monthly'); ?>
	</ul>
	</li>
</ul>

<ul>
	<li><h2>Site Info</h2>
	<ul>
	<?php wp_register(); ?>
	<li><?php wp_loginout(); ?></li>
	
	<li><a href="feed:<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>">
	<?php _e('<abbr title="Really Simple Syndication">RSS</abbr>'); ?>
	</a></li>
		
	<li><a href="feed:<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('The latest comments to all posts in RSS'); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
		
	<li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>'); ?></a></li>
	
	<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
	
	<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>"><abbr title="WordPress">WP</abbr></a></li>
	</ul>
	</li>
</ul>	
	<?php wp_meta(); ?>

<ul>
	<li><h2>Site Meta</h2>
	<ul>
		<li><?php echo $wpdb->num_queries; ?> queries. <?php timer_stop(1); ?> seconds.</li>
		<li><?php echo sprintf(__("Powered by <a href='http://wordpress.org' title='%s'><strong>WordPress</strong></a>"), __("Powered by WordPress, state-of-the-art semantic personal publishing platform.")); ?></li>
	</ul>
	</li>
</ul>

<ul>
	<li><h2>&copy; <?php echo date(Y); ?></h2></li>
</ul>

</div>
<!-- end sidebar -->
